Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Alexis Ballier (aballier)" <aballier@g.o>
Subject: gentoo-x86 commit in media-video/vlc: vlc-0.9.9999.ebuild vlc-0.9.9.ebuild ChangeLog vlc-9999.ebuild vlc-1.0.0_pre1.ebuild
Date: Wed, 08 Apr 2009 07:54:24 +0000
aballier    09/04/08 07:54:24

  Modified:             vlc-0.9.9999.ebuild vlc-0.9.9.ebuild ChangeLog
                        vlc-9999.ebuild vlc-1.0.0_pre1.ebuild
  Log:
  Allow only qt >=4.4 and simplify qt deps; by Davide Pesavento <davidepesa@...>, bug #264974
  (Portage version: 2.2_rc28/cvs/Linux x86_64)

Revision  Changes    Path
1.3                  media-video/vlc/vlc-0.9.9999.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild?r1=1.2&r2=1.3

Index: vlc-0.9.9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- vlc-0.9.9999.ebuild	17 Mar 2009 07:57:14 -0000	1.2
+++ vlc-0.9.9999.ebuild	8 Apr 2009 07:54:24 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild,v 1.2 2009/03/17 07:57:14 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9999.ebuild,v 1.3 2009/04/08 07:54:24 aballier Exp $
 
 EAPI="1"
 
@@ -115,14 +115,14 @@
 		pda? ( x11-libs/gtk+:2 )
 		png? ( media-libs/libpng )
 		pulseaudio? ( >=media-sound/pulseaudio-0.9.8 )
-		qt4? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
 		samba? ( net-fs/samba )
 		schroedinger? ( >=media-libs/schroedinger-1.0 )
 		sdl? ( >=media-libs/libsdl-1.2.8
 			sdl-image? ( media-libs/sdl-image ) )
 		shout? ( media-libs/libshout )
-		skins? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		speex? ( media-libs/speex )
 		svg? ( >=gnome-base/librsvg-2.9.0 )
 		svga? ( media-libs/svgalib )
@@ -162,7 +162,7 @@
 
 S="${WORKDIR}/${MY_P}"
 
-# Dispalys a warning if the first use flag is set but not the second
+# Displays a warning if the first use flag is set but the second is not
 vlc_use_needs() {
 	use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
 }
@@ -194,8 +194,8 @@
 	vlc_use_needs fontconfig truetype
 	vlc_use_needs libv4l2 v4l2
 	use cddb && use !cdda && use !cddax && ewarn "USE=cddb requires either cdda or cddax, cddb will be disabled."
-	if ( use qt4 || use skins ) ; then
-		QT4_BUILT_WITH_USE_CHECK="png" qt4_pkg_setup
+	if use qt4 || use skins ; then
+		qt4_pkg_setup
 	else
 		ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
 		ewarn "graphical interface. Maybe that is not what you want..."



1.2                  media-video/vlc/vlc-0.9.9.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild?r1=1.1&r2=1.2

Index: vlc-0.9.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- vlc-0.9.9.ebuild	4 Apr 2009 13:35:08 -0000	1.1
+++ vlc-0.9.9.ebuild	8 Apr 2009 07:54:24 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild,v 1.1 2009/04/04 13:35:08 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-0.9.9.ebuild,v 1.2 2009/04/08 07:54:24 aballier Exp $
 
 EAPI="1"
 
@@ -115,14 +115,14 @@
 		pda? ( x11-libs/gtk+:2 )
 		png? ( media-libs/libpng )
 		pulseaudio? ( >=media-sound/pulseaudio-0.9.8 )
-		qt4? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
 		samba? ( net-fs/samba )
 		schroedinger? ( >=media-libs/schroedinger-1.0 )
 		sdl? ( >=media-libs/libsdl-1.2.8
 			sdl-image? ( media-libs/sdl-image ) )
 		shout? ( media-libs/libshout )
-		skins? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		speex? ( media-libs/speex )
 		svg? ( >=gnome-base/librsvg-2.9.0 )
 		svga? ( media-libs/svgalib )
@@ -162,7 +162,7 @@
 
 S="${WORKDIR}/${MY_P}"
 
-# Dispalys a warning if the first use flag is set but not the second
+# Displays a warning if the first use flag is set but the second is not
 vlc_use_needs() {
 	use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
 }
@@ -194,8 +194,8 @@
 	vlc_use_needs fontconfig truetype
 	vlc_use_needs libv4l2 v4l2
 	use cddb && use !cdda && use !cddax && ewarn "USE=cddb requires either cdda or cddax, cddb will be disabled."
-	if ( use qt4 || use skins ) ; then
-		QT4_BUILT_WITH_USE_CHECK="png" qt4_pkg_setup
+	if use qt4 || use skins ; then
+		qt4_pkg_setup
 	else
 		ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
 		ewarn "graphical interface. Maybe that is not what you want..."



1.431                media-video/vlc/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/ChangeLog?rev=1.431&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/ChangeLog?rev=1.431&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/ChangeLog?r1=1.430&r2=1.431

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/vlc/ChangeLog,v
retrieving revision 1.430
retrieving revision 1.431
diff -u -r1.430 -r1.431
--- ChangeLog	4 Apr 2009 13:37:05 -0000	1.430
+++ ChangeLog	8 Apr 2009 07:54:24 -0000	1.431
@@ -1,6 +1,11 @@
 # ChangeLog for media-video/vlc
 # Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/ChangeLog,v 1.430 2009/04/04 13:37:05 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/ChangeLog,v 1.431 2009/04/08 07:54:24 aballier Exp $
+
+  08 Apr 2009; Alexis Ballier <aballier@g.o> vlc-0.9.9.ebuild,
+  vlc-0.9.9999.ebuild, vlc-1.0.0_pre1.ebuild, vlc-9999.ebuild:
+  Allow only qt >=4.4 and simplify qt deps; by Davide Pesavento
+  <davidepesa@...>, bug #264974
 
   04 Apr 2009; Alexis Ballier <aballier@g.o> -vlc-0.9.9_rc2.ebuild:
   remove rc



1.5                  media-video/vlc/vlc-9999.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-9999.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-9999.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-9999.ebuild?r1=1.4&r2=1.5

Index: vlc-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- vlc-9999.ebuild	17 Mar 2009 07:57:14 -0000	1.4
+++ vlc-9999.ebuild	8 Apr 2009 07:54:24 -0000	1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.4 2009/03/17 07:57:14 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.5 2009/04/08 07:54:24 aballier Exp $
 
 EAPI="1"
 
@@ -114,14 +114,14 @@
 		pda? ( x11-libs/gtk+:2 )
 		png? ( media-libs/libpng )
 		pulseaudio? ( >=media-sound/pulseaudio-0.9.8 )
-		qt4? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
 		samba? ( net-fs/samba )
 		schroedinger? ( >=media-libs/schroedinger-1.0 )
 		sdl? ( >=media-libs/libsdl-1.2.8
 			sdl-image? ( media-libs/sdl-image ) )
 		shout? ( media-libs/libshout )
-		skins? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		speex? ( media-libs/speex )
 		svg? ( >=gnome-base/librsvg-2.9.0 )
 		svga? ( media-libs/svgalib )
@@ -163,7 +163,7 @@
 
 S="${WORKDIR}/${MY_P}"
 
-# Dispalys a warning if the first use flag is set but not the second
+# Displays a warning if the first use flag is set but the second is not
 vlc_use_needs() {
 	use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
 }
@@ -195,8 +195,8 @@
 	vlc_use_needs fontconfig truetype
 	vlc_use_needs libv4l2 v4l2
 	use cddb && use !cdda && use !cddax && ewarn "USE=cddb requires either cdda or cddax, cddb will be disabled."
-	if ( use qt4 || use skins ) ; then
-		QT4_BUILT_WITH_USE_CHECK="png" qt4_pkg_setup
+	if use qt4 || use skins ; then
+		qt4_pkg_setup
 	else
 		ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
 		ewarn "graphical interface. Maybe that is not what you want..."



1.3                  media-video/vlc/vlc-1.0.0_pre1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild?r1=1.2&r2=1.3

Index: vlc-1.0.0_pre1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- vlc-1.0.0_pre1.ebuild	29 Mar 2009 15:39:32 -0000	1.2
+++ vlc-1.0.0_pre1.ebuild	8 Apr 2009 07:54:24 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild,v 1.2 2009/03/29 15:39:32 solar Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-1.0.0_pre1.ebuild,v 1.3 2009/04/08 07:54:24 aballier Exp $
 
 EAPI="1"
 
@@ -114,14 +114,14 @@
 		pda? ( x11-libs/gtk+:2 )
 		png? ( media-libs/libpng )
 		pulseaudio? ( >=media-sound/pulseaudio-0.9.8 )
-		qt4? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
 		samba? ( net-fs/samba )
 		schroedinger? ( >=media-libs/schroedinger-1.0 )
 		sdl? ( >=media-libs/libsdl-1.2.8
 			sdl-image? ( media-libs/sdl-image ) )
 		shout? ( media-libs/libshout )
-		skins? ( || ( ( x11-libs/qt-gui x11-libs/qt-core ) =x11-libs/qt-4.3*:4 ) )
+		skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 )
 		speex? ( media-libs/speex )
 		svg? ( >=gnome-base/librsvg-2.9.0 )
 		svga? ( media-libs/svgalib )
@@ -163,7 +163,7 @@
 
 S="${WORKDIR}/${MY_P}"
 
-# Dispalys a warning if the first use flag is set but not the second
+# Displays a warning if the first use flag is set but the second is not
 vlc_use_needs() {
 	use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
 }
@@ -195,8 +195,8 @@
 	vlc_use_needs fontconfig truetype
 	vlc_use_needs libv4l2 v4l2
 	use cddb && use !cdda && use !cddax && ewarn "USE=cddb requires either cdda or cddax, cddb will be disabled."
-	if ( use qt4 || use skins ) ; then
-		QT4_BUILT_WITH_USE_CHECK="png" qt4_pkg_setup
+	if use qt4 || use skins ; then
+		qt4_pkg_setup
 	else
 		ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
 		ewarn "graphical interface. Maybe that is not what you want..."





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sci-visualization/labplot: ChangeLog labplot-1.6.0.2.ebuild labplot-1.6.0.1-r1.ebuild
Next by thread:
gentoo-x86 commit in x11-libs/qwtplot3d: ChangeLog
Previous by date:
gentoo-x86 commit in sci-visualization/labplot: ChangeLog labplot-1.6.0.2.ebuild labplot-1.6.0.1-r1.ebuild
Next by date:
gentoo-x86 commit in x11-libs/qwtplot3d: ChangeLog


Updated Jan 26, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.